View Issue Details

IDProjectCategoryView StatusLast Update
07002Development Survey Designpublic2015-08-21 15:51
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00 
Target Version2.05Fixed in Version2.05 
Summary07002: Email template return to survey view, think it's best to return to Email template
Description

When editing email template of a surey, when saving, are back to survey view. But user edit one email (invitation for example), after another one (remind for example), etc ...
And then have to return to eamil template

Steps To Reproduce

Edit email template

Additional Information

FIX/PATCH:
in application/controllers/admin/emailtemplates.php
function update
line 112
replace:
$this->getController()->redirect($this->getController()->createUrl('admin/survey/sa/view/surveyid/'.$iSurveyId));
BY
$this::index($iSurveyId);
die();// Not needed but be sure to die

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2012-12-02 03:13

developer   ~22798

Patch tested

c_schmitz

c_schmitz

2013-03-05 12:47

administrator   ~24547

Rather have two buttons like when saving a question: "Save" and "Save and close"

DenisChenu

DenisChenu

2013-03-05 13:52

developer   ~24552

Yes,

You're right.

2.05 without Plugin ? Or 2.0 and 2.05 ?
You can assign it to me.

Think same think for answers/subquestio edit.

c_schmitz

c_schmitz

2013-03-05 13:57

administrator   ~24555

If you like both 2.0 and 2.05.

Related Changesets

LimeSurvey: 2.05 13b84aa0

2013-03-20 17:11:44

DenisChenu

Details Diff
New feature 07002: allow return to email template in email template edition Affected Issues
07002
mod - application/controllers/admin/emailtemplates.php Diff File
mod - application/views/admin/emailtemplates/emailtemplates_view.php Diff File

Issue History

Date Modified Username Field Change
2012-12-02 01:05 DenisChenu New Issue
2012-12-02 01:05 DenisChenu Status new => assigned
2012-12-02 01:05 DenisChenu Assigned To => c_schmitz
2012-12-02 03:13 DenisChenu Note Added: 22798
2013-03-05 12:47 c_schmitz Note Added: 24547
2013-03-05 12:48 c_schmitz Project User patches => Development
2013-03-05 12:48 c_schmitz Category Survey design => Survey Design
2013-03-05 13:52 DenisChenu Note Added: 24552
2013-03-05 13:57 c_schmitz Note Added: 24555
2013-03-05 14:53 DenisChenu Assigned To c_schmitz => DenisChenu
2013-03-22 11:12 DenisChenu Target Version 2.00 => 2.05
2013-03-22 11:14 DenisChenu Changeset attached => LimeSurvey 2.05 13b84aa0
2013-03-22 11:14 DenisChenu Status assigned => resolved
2013-03-22 11:14 DenisChenu Fixed in Version => 2.05
2013-03-22 11:14 DenisChenu Resolution open => fixed
2015-08-21 15:51 c_schmitz Status resolved => closed